/// <reference types="node" />
import { EventEmitter } from 'events';
export interface Eventer {
    on(eventName: string, cb: (...args: any[]) => void): this;
    once?(eventName: string, cb: (...args: any[]) => void): this;
    emit(eventNam: string, ...args: any[]): boolean;
}
export declare function beginEventEmitter<Tee extends Eventer>(o: Tee): EventEmitter;
